package com.ruoyi.tcZz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 等保系统对象 tc_dbxt
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public class TcDbxt extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 区域id */
    @Excel(name = "区域id")
    private String areaId;

    /** 系统名称 */
    @Excel(name = "系统名称")
    private String systemName;

    /** 备案编号 */
    @Excel(name = "备案编号")
    private String beianNum;

    /** 信息系统安全保护等级 */
    @Excel(name = "信息系统安全保护等级")
    private String safetyLevel;

    /** 单位名称 */
    private String unitName;

    /** 业务类型 */
    private String businessType;

    /** 服务范围 */
    private String serviceArea;

    /** 服务对象 */
    private String serviceObj;

    /** 覆盖范围 */
    private String coverageArea;

    /** 网络性质 */
    private String networkProperty;

    /** 系统互联情况 */
    private String systemHlql;

    /** 投入运行使用日期 */
    private Date startTime;

    /** 系统是否分级 */
    private String isLevel;

    /** 系统定级时间 */
    private Date systemDjtime;

    /** 专家评审情况 */
    private String psQk;

    /** 是否有主管部门 */
    private String isHavedep;

    /** 系统定级报告 */
    private String systemDjbg;

    /** 系统状态 */
    private String systemState;

    /** 1.启用 2.禁用 */
    @Excel(name = "1.启用 2.禁用")
    private Long isStatus;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAreaId(String areaId) 
    {
        this.areaId = areaId;
    }

    public String getAreaId() 
    {
        return areaId;
    }
    public void setSystemName(String systemName) 
    {
        this.systemName = systemName;
    }

    public String getSystemName() 
    {
        return systemName;
    }
    public void setBeianNum(String beianNum) 
    {
        this.beianNum = beianNum;
    }

    public String getBeianNum() 
    {
        return beianNum;
    }
    public void setSafetyLevel(String safetyLevel) 
    {
        this.safetyLevel = safetyLevel;
    }

    public String getSafetyLevel() 
    {
        return safetyLevel;
    }
    public void setUnitName(String unitName) 
    {
        this.unitName = unitName;
    }

    public String getUnitName() 
    {
        return unitName;
    }
    public void setBusinessType(String businessType) 
    {
        this.businessType = businessType;
    }

    public String getBusinessType() 
    {
        return businessType;
    }
    public void setServiceArea(String serviceArea) 
    {
        this.serviceArea = serviceArea;
    }

    public String getServiceArea() 
    {
        return serviceArea;
    }
    public void setServiceObj(String serviceObj) 
    {
        this.serviceObj = serviceObj;
    }

    public String getServiceObj() 
    {
        return serviceObj;
    }
    public void setCoverageArea(String coverageArea) 
    {
        this.coverageArea = coverageArea;
    }

    public String getCoverageArea() 
    {
        return coverageArea;
    }
    public void setNetworkProperty(String networkProperty) 
    {
        this.networkProperty = networkProperty;
    }

    public String getNetworkProperty() 
    {
        return networkProperty;
    }
    public void setSystemHlql(String systemHlql) 
    {
        this.systemHlql = systemHlql;
    }

    public String getSystemHlql() 
    {
        return systemHlql;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setIsLevel(String isLevel) 
    {
        this.isLevel = isLevel;
    }

    public String getIsLevel() 
    {
        return isLevel;
    }
    public void setSystemDjtime(Date systemDjtime) 
    {
        this.systemDjtime = systemDjtime;
    }

    public Date getSystemDjtime() 
    {
        return systemDjtime;
    }
    public void setPsQk(String psQk) 
    {
        this.psQk = psQk;
    }

    public String getPsQk() 
    {
        return psQk;
    }
    public void setIsHavedep(String isHavedep) 
    {
        this.isHavedep = isHavedep;
    }

    public String getIsHavedep() 
    {
        return isHavedep;
    }
    public void setSystemDjbg(String systemDjbg) 
    {
        this.systemDjbg = systemDjbg;
    }

    public String getSystemDjbg() 
    {
        return systemDjbg;
    }
    public void setSystemState(String systemState) 
    {
        this.systemState = systemState;
    }

    public String getSystemState() 
    {
        return systemState;
    }
    public void setIsStatus(Long isStatus) 
    {
        this.isStatus = isStatus;
    }

    public Long getIsStatus() 
    {
        return isStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaId", getAreaId())
            .append("systemName", getSystemName())
            .append("beianNum", getBeianNum())
            .append("safetyLevel", getSafetyLevel())
            .append("unitName", getUnitName())
            .append("businessType", getBusinessType())
            .append("serviceArea", getServiceArea())
            .append("serviceObj", getServiceObj())
            .append("coverageArea", getCoverageArea())
            .append("networkProperty", getNetworkProperty())
            .append("systemHlql", getSystemHlql())
            .append("startTime", getStartTime())
            .append("isLevel", getIsLevel())
            .append("systemDjtime", getSystemDjtime())
            .append("psQk", getPsQk())
            .append("isHavedep", getIsHavedep())
            .append("systemDjbg", getSystemDjbg())
            .append("systemState", getSystemState())
            .append("isStatus", getIsStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
