package com.ruoyi.tcZz.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 数据来源 tc_sjly（可推送）对象 tc_sjly
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
@Data
@ApiModel("数据来源")
public class TcSjly extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 区域id */
    @Excel(name = "区域id")
    private String areaId;

    /** 类型 */
    @Excel(name = "类型")
    private Long type;

    /** 启用/禁用 */
    @Excel(name = "启用/禁用")
    private Long isStatus;

    /** 资产名称 */
    @Excel(name = "资产名称")
    private String zcName;

    /** 所属单位 */
    @Excel(name = "所属单位")
    private String affUnit;

    /** IP地址 */
    @Excel(name = "IP地址")
    private String sysyemIp;

    /** 操作系统 */
    @Excel(name = "操作系统")
    private String os;

    /** 版本 */
    @Excel(name = "版本")
    private String versions;


}
