package com.ruoyi.tcZz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 通报处置对象 tc_tbcz
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public class TcTbcz extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 区域 */
    @Excel(name = "区域")
    private String areaId;

    /** 启用/禁用 */
    @Excel(name = "启用/禁用")
    private Long isStatus;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String unitName;

    /** 目标IP/域名 */
    @Excel(name = "目标IP/域名")
    private String ipAddress;

    /** 处置情况 */
    @Excel(name = "处置情况")
    private String czState;

    /** 文件名称 */
    private String fileName;

    /** 文件路径(完整路径) */
    private String fileUrl;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAreaId(String areaId) 
    {
        this.areaId = areaId;
    }

    public String getAreaId() 
    {
        return areaId;
    }
    public void setIsStatus(Long isStatus) 
    {
        this.isStatus = isStatus;
    }

    public Long getIsStatus() 
    {
        return isStatus;
    }
    public void setUnitName(String unitName) 
    {
        this.unitName = unitName;
    }

    public String getUnitName() 
    {
        return unitName;
    }
    public void setIpAddress(String ipAddress) 
    {
        this.ipAddress = ipAddress;
    }

    public String getIpAddress() 
    {
        return ipAddress;
    }
    public void setCzState(String czState) 
    {
        this.czState = czState;
    }

    public String getCzState() 
    {
        return czState;
    }
    public void setFileName(String fileName) 
    {
        this.fileName = fileName;
    }

    public String getFileName() 
    {
        return fileName;
    }
    public void setFileUrl(String fileUrl) 
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl() 
    {
        return fileUrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaId", getAreaId())
            .append("isStatus", getIsStatus())
            .append("unitName", getUnitName())
            .append("ipAddress", getIpAddress())
            .append("czState", getCzState())
            .append("fileName", getFileName())
            .append("fileUrl", getFileUrl())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
