package com.ruoyi.tcZz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 政府网站对象 tc_zfwz
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public class TcZfwz extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String areaId;

    /** 1.启用 2.禁用 */
    @Excel(name = "1.启用 2.禁用")
    private Long isStatus;

    /** 网站地址 */
    @Excel(name = "网站地址")
    private String webUrl;

    /** 资产名称 */
    @Excel(name = "资产名称")
    private String assetName;

    /** 资产重要等级 */
    @Excel(name = "资产重要等级")
    private String assetLevel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAreaId(String areaId) 
    {
        this.areaId = areaId;
    }

    public String getAreaId() 
    {
        return areaId;
    }
    public void setIsStatus(Long isStatus) 
    {
        this.isStatus = isStatus;
    }

    public Long getIsStatus() 
    {
        return isStatus;
    }
    public void setWebUrl(String webUrl) 
    {
        this.webUrl = webUrl;
    }

    public String getWebUrl() 
    {
        return webUrl;
    }
    public void setAssetName(String assetName) 
    {
        this.assetName = assetName;
    }

    public String getAssetName() 
    {
        return assetName;
    }
    public void setAssetLevel(String assetLevel) 
    {
        this.assetLevel = assetLevel;
    }

    public String getAssetLevel() 
    {
        return assetLevel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaId", getAreaId())
            .append("isStatus", getIsStatus())
            .append("webUrl", getWebUrl())
            .append("assetName", getAssetName())
            .append("assetLevel", getAssetLevel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
