package com.ruoyi.tcZz.service;

import java.util.List;
import com.ruoyi.tcZz.domain.TcSjly;

/**
 * 数据来源 tc_sjly（可推送）Service接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface ITcSjlyService 
{
    /**
     * 查询数据来源 tc_sjly（可推送）
     * 
     * @param id 数据来源 tc_sjly（可推送）主键
     * @return 数据来源 tc_sjly（可推送）
     */
    public TcSjly selectTcSjlyById(Long id);

    /**
     * 查询数据来源 tc_sjly（可推送）列表
     * 
     * @param tcSjly 数据来源 tc_sjly（可推送）
     * @return 数据来源 tc_sjly（可推送）集合
     */
    public List<TcSjly> selectTcSjlyList(TcSjly tcSjly);

    /**
     * 新增数据来源 tc_sjly（可推送）
     * 
     * @param tcSjly 数据来源 tc_sjly（可推送）
     * @return 结果
     */
    public int insertTcSjly(TcSjly tcSjly);

    /**
     * 修改数据来源 tc_sjly（可推送）
     * 
     * @param tcSjly 数据来源 tc_sjly（可推送）
     * @return 结果
     */
    public int updateTcSjly(TcSjly tcSjly);

    /**
     * 批量删除数据来源 tc_sjly（可推送）
     * 
     * @param ids 需要删除的数据来源 tc_sjly（可推送）主键集合
     * @return 结果
     */
    public int deleteTcSjlyByIds(Long[] ids);

    /**
     * 删除数据来源 tc_sjly（可推送）信息
     * 
     * @param id 数据来源 tc_sjly（可推送）主键
     * @return 结果
     */
    public int deleteTcSjlyById(Long id);
}
