package com.ruoyi.tcZz.service;

import java.util.List;
import com.ruoyi.tcZz.domain.TcSjlytj;

/**
 * 数据来源统计tc_sjlytj Service接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface ITcSjlytjService 
{
    /**
     * 查询数据来源统计tc_sjlytj 
     * 
     * @param id 数据来源统计tc_sjlytj 主键
     * @return 数据来源统计tc_sjlytj 
     */
    public TcSjlytj selectTcSjlytjById(Long id);

    /**
     * 查询数据来源统计tc_sjlytj 列表
     * 
     * @param tcSjlytj 数据来源统计tc_sjlytj 
     * @return 数据来源统计tc_sjlytj 集合
     */
    public List<TcSjlytj> selectTcSjlytjList(TcSjlytj tcSjlytj);

    /**
     * 新增数据来源统计tc_sjlytj 
     * 
     * @param tcSjlytj 数据来源统计tc_sjlytj 
     * @return 结果
     */
    public int insertTcSjlytj(TcSjlytj tcSjlytj);

    /**
     * 修改数据来源统计tc_sjlytj 
     * 
     * @param tcSjlytj 数据来源统计tc_sjlytj 
     * @return 结果
     */
    public int updateTcSjlytj(TcSjlytj tcSjlytj);

    /**
     * 批量删除数据来源统计tc_sjlytj 
     * 
     * @param ids 需要删除的数据来源统计tc_sjlytj 主键集合
     * @return 结果
     */
    public int deleteTcSjlytjByIds(Long[] ids);

    /**
     * 删除数据来源统计tc_sjlytj 信息
     * 
     * @param id 数据来源统计tc_sjlytj 主键
     * @return 结果
     */
    public int deleteTcSjlytjById(Long id);
}
