package com.ruoyi.tcZz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 等保单位对象 tc_dbdw
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public class TcDbdw extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 区域id */
    @Excel(name = "区域id")
    private String areaId;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String unitName;

    /** 邮政编码 */
    @Excel(name = "邮政编码")
    private String postalCode;

    /** 单位地址—省 */
    private String addressProvince;

    /** 单位地址—市 */
    private String addressCity;

    /** 单位地址—区/县 */
    private String addressCounty;

    /** 单位地址 */
    @Excel(name = "单位地址")
    private String unitAddress;

    /** 行政区域代码 */
    @Excel(name = "行政区域代码")
    private String countyCode;

    /** 隶属关系 */
    private String lsGx;

    /** 单位类型 */
    private String unitType;

    /** 行业类型 */
    private String industryType;

    /** 单位责任人—姓名 */
    private String fzrName;

    /** 单位责任人—职务 */
    private String fzrDuty;

    /** 单位责任人—办公电话 */
    private String fzrTel;

    /** 单位责任人—电子邮件 */
    private String fzrEmail;

    /** 1.启用 2.禁用 */
    private Long isStatus;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAreaId(String areaId) 
    {
        this.areaId = areaId;
    }

    public String getAreaId() 
    {
        return areaId;
    }
    public void setUnitName(String unitName) 
    {
        this.unitName = unitName;
    }

    public String getUnitName() 
    {
        return unitName;
    }
    public void setPostalCode(String postalCode) 
    {
        this.postalCode = postalCode;
    }

    public String getPostalCode() 
    {
        return postalCode;
    }
    public void setAddressProvince(String addressProvince) 
    {
        this.addressProvince = addressProvince;
    }

    public String getAddressProvince() 
    {
        return addressProvince;
    }
    public void setAddressCity(String addressCity) 
    {
        this.addressCity = addressCity;
    }

    public String getAddressCity() 
    {
        return addressCity;
    }
    public void setAddressCounty(String addressCounty) 
    {
        this.addressCounty = addressCounty;
    }

    public String getAddressCounty() 
    {
        return addressCounty;
    }
    public void setUnitAddress(String unitAddress) 
    {
        this.unitAddress = unitAddress;
    }

    public String getUnitAddress() 
    {
        return unitAddress;
    }
    public void setCountyCode(String countyCode) 
    {
        this.countyCode = countyCode;
    }

    public String getCountyCode() 
    {
        return countyCode;
    }
    public void setLsGx(String lsGx) 
    {
        this.lsGx = lsGx;
    }

    public String getLsGx() 
    {
        return lsGx;
    }
    public void setUnitType(String unitType) 
    {
        this.unitType = unitType;
    }

    public String getUnitType() 
    {
        return unitType;
    }
    public void setIndustryType(String industryType) 
    {
        this.industryType = industryType;
    }

    public String getIndustryType() 
    {
        return industryType;
    }
    public void setFzrName(String fzrName) 
    {
        this.fzrName = fzrName;
    }

    public String getFzrName() 
    {
        return fzrName;
    }
    public void setFzrDuty(String fzrDuty) 
    {
        this.fzrDuty = fzrDuty;
    }

    public String getFzrDuty() 
    {
        return fzrDuty;
    }
    public void setFzrTel(String fzrTel) 
    {
        this.fzrTel = fzrTel;
    }

    public String getFzrTel() 
    {
        return fzrTel;
    }
    public void setFzrEmail(String fzrEmail) 
    {
        this.fzrEmail = fzrEmail;
    }

    public String getFzrEmail() 
    {
        return fzrEmail;
    }
    public void setIsStatus(Long isStatus) 
    {
        this.isStatus = isStatus;
    }

    public Long getIsStatus() 
    {
        return isStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaId", getAreaId())
            .append("unitName", getUnitName())
            .append("postalCode", getPostalCode())
            .append("addressProvince", getAddressProvince())
            .append("addressCity", getAddressCity())
            .append("addressCounty", getAddressCounty())
            .append("unitAddress", getUnitAddress())
            .append("countyCode", getCountyCode())
            .append("lsGx", getLsGx())
            .append("unitType", getUnitType())
            .append("industryType", getIndustryType())
            .append("fzrName", getFzrName())
            .append("fzrDuty", getFzrDuty())
            .append("fzrTel", getFzrTel())
            .append("fzrEmail", getFzrEmail())
            .append("isStatus", getIsStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
