package com.ruoyi.tcZz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 *  IDC单位对象 tc_idcdw
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public class TcIdcdw extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 区域 */
    @Excel(name = "区域")
    private String areaId;

    /** 启用/禁用 */
    @Excel(name = "启用/禁用")
    private Long isStatus;

    /** lDC名称 */
    @Excel(name = "lDC名称")
    private String ldcName;

    /** iP段信息 */
    @Excel(name = "iP段信息")
    private String ipData;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAreaId(String areaId) 
    {
        this.areaId = areaId;
    }

    public String getAreaId() 
    {
        return areaId;
    }
    public void setIsStatus(Long isStatus) 
    {
        this.isStatus = isStatus;
    }

    public Long getIsStatus() 
    {
        return isStatus;
    }
    public void setLdcName(String ldcName) 
    {
        this.ldcName = ldcName;
    }

    public String getLdcName() 
    {
        return ldcName;
    }
    public void setIpData(String ipData) 
    {
        this.ipData = ipData;
    }

    public String getIpData() 
    {
        return ipData;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaId", getAreaId())
            .append("isStatus", getIsStatus())
            .append("ldcName", getLdcName())
            .append("ipData", getIpData())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
