package com.ruoyi.tcZz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 监管单位对象 tc_jgdw
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public class TcJgdw extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 区域id */
    @Excel(name = "区域id")
    private String areaId;

    /** 1.启用 2.禁用 */
    @Excel(name = "1.启用 2.禁用")
    private Long isStatus;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String unitName;

    /** 网站/系统名称 */
    @Excel(name = "网站/系统名称")
    private String systemName;

    /** 网站地址（url） */
    private String systemUrl;

    /** IP地址 */
    private String sysyemIp;

    /** 是否关注重点 */
    @Excel(name = "是否关注重点")
    private String isFocus;

    /** 等保级别 */
    private String level;

    /** 记录类型（1. 监管单位
2.网站监测
） */
    @Excel(name = "记录类型", readConverterExp = "1=.,监=管单位 2.网站监测")
    private Long type;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAreaId(String areaId) 
    {
        this.areaId = areaId;
    }

    public String getAreaId() 
    {
        return areaId;
    }
    public void setIsStatus(Long isStatus) 
    {
        this.isStatus = isStatus;
    }

    public Long getIsStatus() 
    {
        return isStatus;
    }
    public void setUnitName(String unitName) 
    {
        this.unitName = unitName;
    }

    public String getUnitName() 
    {
        return unitName;
    }
    public void setSystemName(String systemName) 
    {
        this.systemName = systemName;
    }

    public String getSystemName() 
    {
        return systemName;
    }
    public void setSystemUrl(String systemUrl) 
    {
        this.systemUrl = systemUrl;
    }

    public String getSystemUrl() 
    {
        return systemUrl;
    }
    public void setSysyemIp(String sysyemIp) 
    {
        this.sysyemIp = sysyemIp;
    }

    public String getSysyemIp() 
    {
        return sysyemIp;
    }
    public void setIsFocus(String isFocus) 
    {
        this.isFocus = isFocus;
    }

    public String getIsFocus() 
    {
        return isFocus;
    }
    public void setLevel(String level) 
    {
        this.level = level;
    }

    public String getLevel() 
    {
        return level;
    }
    public void setType(Long type) 
    {
        this.type = type;
    }

    public Long getType() 
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaId", getAreaId())
            .append("isStatus", getIsStatus())
            .append("unitName", getUnitName())
            .append("systemName", getSystemName())
            .append("systemUrl", getSystemUrl())
            .append("sysyemIp", getSysyemIp())
            .append("isFocus", getIsFocus())
            .append("level", getLevel())
            .append("type", getType())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
