package com.ruoyi.tcZz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 通报完成情况对象 tc_tbwc
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public class TcTbwc extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 时间名称 */
    @Excel(name = "时间名称")
    private String timeName;

    /** 通报数量 */
    @Excel(name = "通报数量")
    private String tbCount;

    /** 完成期数 */
    @Excel(name = "完成期数")
    private String overCount;

    /** 完成比例 */
    @Excel(name = "完成比例")
    private String overScale;

    /** 年份 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "年份", width = 30, dateFormat = "yyyy-MM-dd")
    private Date year;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTimeName(String timeName) 
    {
        this.timeName = timeName;
    }

    public String getTimeName() 
    {
        return timeName;
    }
    public void setTbCount(String tbCount) 
    {
        this.tbCount = tbCount;
    }

    public String getTbCount() 
    {
        return tbCount;
    }
    public void setOverCount(String overCount) 
    {
        this.overCount = overCount;
    }

    public String getOverCount() 
    {
        return overCount;
    }
    public void setOverScale(String overScale) 
    {
        this.overScale = overScale;
    }

    public String getOverScale() 
    {
        return overScale;
    }
    public void setYear(Date year) 
    {
        this.year = year;
    }

    public Date getYear() 
    {
        return year;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("timeName", getTimeName())
            .append("tbCount", getTbCount())
            .append("overCount", getOverCount())
            .append("overScale", getOverScale())
            .append("year", getYear())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
