package com.ruoyi.tcZz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网络监测统计对象 tc_wljgtj
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public class TcWljgtj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 网络攻击(万次) */
    @Excel(name = "网络攻击(万次)")
    private String netAttack;

    /** 入侵攻击 */
    @Excel(name = "入侵攻击")
    private String rqAttack;

    /** 恶意扫描 */
    @Excel(name = "恶意扫描")
    private String smAttack;

    /** 僵木蠕病毒 */
    @Excel(name = "僵木蠕病毒")
    private String bdAttack;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setNetAttack(String netAttack) 
    {
        this.netAttack = netAttack;
    }

    public String getNetAttack() 
    {
        return netAttack;
    }
    public void setRqAttack(String rqAttack) 
    {
        this.rqAttack = rqAttack;
    }

    public String getRqAttack() 
    {
        return rqAttack;
    }
    public void setSmAttack(String smAttack) 
    {
        this.smAttack = smAttack;
    }

    public String getSmAttack() 
    {
        return smAttack;
    }
    public void setBdAttack(String bdAttack) 
    {
        this.bdAttack = bdAttack;
    }

    public String getBdAttack() 
    {
        return bdAttack;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("netAttack", getNetAttack())
            .append("rqAttack", getRqAttack())
            .append("smAttack", getSmAttack())
            .append("bdAttack", getBdAttack())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
